Package org.apache.jmeter.protocol.http.curl

# Class FileArgumentHolder

java.lang.Object
org.apache.jmeter.protocol.http.curl.FileArgumentHolder

All Implemented Interfaces:
  `ArgumentHolder`

public class FileArgumentHolder extends Object implements ArgumentHolder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Map<String,String>`
  `getMetadata()`
  `String`
  `getName()`
  `int`
  `hashCode()`
  `static FileArgumentHolder`
  `of(String name)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.protocol.http.curl.ArgumentHolder

  `getContentType, hasContenType`

- ## Method Details

  - ### of

    public static FileArgumentHolder of(String name)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `ArgumentHolder`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMetadata

    public Map<String,String> getMetadata()
    Specified by:
      `getMetadata` in interface `ArgumentHolder`